#
# $Id: sff.spec,v 1.11 2010-03-11 15:16:41 carzanig Exp $
#
%define name	sff
%define ver	%version
%define rel	1

# %{!?configure_options: %define configure_options %{nil}}

Summary:   Siena Fast Forwarding Component
Name:      %{name}
Version:   %{ver}
Release:   %rel
License:   GPL
Group:     Applications/Internet
Source:    http://www.inf.usi.ch/carzaniga/cbn/forwarding/%{name}-%{ver}.tar.gz
URL:       http://www.inf.usi.ch/carzaniga/cbn/forwarding/
Packager:  Antonio Carzaniga

BuildRoot: %{_topdir}/rpmroot

%description 

The Siena fast forwarding component implements a forwarding engine for
a content-based router.  The engine employs an algorithm based on a
main-memory data structure that provides an efficient representation
of a forwarding table. The entry point to this structure is an index
of attribute names, attribute names are then mapped into constraints,
constraints into filters, and filters into interfaces.  A detailed
description of the forwarding algorithm and its data structures is
presented in A. Carzaniga and A. L. Wolf, "Forwarding in a
Content-Based Network," Proceedings of ACM SIGCOMM 2003. p. 163-174. 
Karlsruhe, Germany. August, 2003.

%prep
rm -rf "$RPM_BUILD_ROOT"

%setup 

%configure %{configure_options}

%build
make all

%install
#
# install_doc=no prevents make install from installing the html
# documentation.  We do this here because that is taken care of by the
# %doc script below
#
make DESTDIR="$RPM_BUILD_ROOT" install_doc=no install

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
#
# doc is the documentation directory, and html is the value of
# HTML_OUTPUT in *both* doc/Makefile.am and doc/doxygen.conf.in
# 
%doc doc/HTML
%attr(755,root,root) /usr/bin/sff
%attr(644,root,root) /usr/include/siena/*
%attr(755,root,root) /usr/lib/libsff.la
%attr(644,root,root) /usr/lib/libsff.a
%attr(755,root,root) /usr/lib/libsff*so*

%post
ldconfig

%postun
ldconfig

