// -*-C++-*-
//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.inf.usi.ch/carzaniga/siena/
//
//  Author: Antonio Carzaniga
//  See the file AUTHORS for full details. 
//
//  Copyright (C) 1998-2003 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to one of the authors.
//
//
// $Id: yysfftypes.h,v 1.9 2010-03-11 15:16:43 carzanig Exp $
//
#ifndef _YYSFFTYPES_H
#define _YYSFFTYPES_H

#include <string>

#include <siena/types.h>

#include "simple_fwd_types.h"

struct sffstype {
    const std::string *		fname;
    unsigned			nlin;
    union {
	siena::int_t		int_v;
	siena::double_t		double_v;
	siena::bool_t		bool_v;
	std::string *		str_v;
	siena::operator_id	op;
	simple_message *	message;
	simple_value *		value;
	simple_op_value *	constraint;
	simple_predicate *	predicate;
	simple_filter *		filter;
    };
};

typedef struct sffstype YYSTYPE;

#define YY_DECL int yylex(YYSTYPE * yylval)
extern YY_DECL;

extern int yylineno;
extern std::string yysfffname;

#endif
